Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn
Class JAZNContext

`java.lang.Object
oracle.security.jazn.JAZNContext`

public final class JAZNContext
extends java.lang.Object

This class provides a starting point for obtaining JAZN-related objects and a centralized place for managing JAZN properties.

Method Summary
`static LoginModuleManager` | `getLoginModuleManager()` Returns the system-wide `LoginModuleManager` object.
`static PermissionClassManager` | `getPermissionClassManager()` Returns the system-wide `PermissionClassManager` object.
`static int` | `getPersistenceMode()` Returns the system-wide persistence mode.
`static JAZNPolicy` | `getPolicy()` Returns the system-wide `JAZNPolicy` object.
`static PolicyManager` | `getPolicyManager()` Returns the system-wide `PolicyManager` object.
`static PrincipalClassManager` | `getPrincipalClassManager()` Returns the system-wide `PrincipalClassManager` object.
`static java.lang.String` | `getProperty(java.lang.String key)` Gets a JAZN property value <p/> This method first calls `SecurityManager.checkPermission` with `JAZNPermission("getProperty."+key)` to ensure the caller has permission to retrive the JAZN property value.
`static RealmManager` | `getRealmManager()` Returns the system-wide `RealmManager` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLoginModuleManager

    public static LoginModuleManager getLoginModuleManager()

  Returns the system-wide `LoginModuleManager` object. <p/> This method first calls `SecurityManager.checkPermission` with `JAZNPermission("getLoginModuleManager")` to ensure that the caller has permission to get the `LoginModuleManager` object.
  Returns:
    the `LoginModuleManager` object.
  Throws:
    `java.lang.SecurityException` - if the caller does not have permission to invoke this method

### getRealmManager

    public static RealmManager getRealmManager()

  Returns the system-wide `RealmManager` object. <p/> This method first calls `SecurityManager.checkPermission` with `JAZNPermission("getRealmManager")` to ensure that the caller has permission to get the `RealmManager` object.
  Returns:
    the system-wide `RealmManager` object.
  Throws:
    `java.lang.SecurityException` - if the caller does not have permission to invoke this method

### getPolicyManager

    public static PolicyManager getPolicyManager()

  Returns the system-wide `PolicyManager` object.
  Returns:
    the system-wide `PolicyManager` object.

### getPermissionClassManager

    public static PermissionClassManager getPermissionClassManager()

  Returns the system-wide `PermissionClassManager` object.
  Returns:
    the system-wide `PermissionClassManager` object.

### getPrincipalClassManager

    public static PrincipalClassManager getPrincipalClassManager()

  Returns the system-wide `PrincipalClassManager` object.
  Returns:
    the system-wide `PrincipalClassManager` object.

### getPolicy

    public static JAZNPolicy getPolicy()

  Returns the system-wide `JAZNPolicy` object. <p/> This method first calls `SecurityManager.checkPermission` with `JAZNPermission("getPolicy")` to ensure that the caller has permission to get the `RealmManager` object.
  Returns:
    the installed `JAZNPolicy` object.
  Throws:
    `java.lang.SecurityException` - if the caller does not have permission to invoke this method

### getPersistenceMode

    public static int getPersistenceMode()

  Returns the system-wide persistence mode.
  Returns:
    the system-wide persistence mode

### getProperty

    public static java.lang.String getProperty(java.lang.String key)

  Gets a JAZN property value <p/> This method first calls `SecurityManager.checkPermission` with `JAZNPermission("getProperty."+key)` to ensure the caller has permission to retrive the JAZN property value.
  Parameters:
    `key` - the key of the property being retrieved
  Returns:
    the value associated with the specified key
  Throws:
    `java.lang.SecurityException` - if the caller does not have permission to invoke this method

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All rights reserved.